LINUX.ORG.RU
решено ФорумAdmin

Было vmlinuz-X.Y.Z-gentoo, стало vmlinuz. Плюс «Cannot find LILO».

 , ,


1

2

Пару недель назад ещё «make install» в gentoo-sources создавал файл /boot/vmlinuz-X.Y.Z-gentoo. Теперь создаёт /boot/vmlinuz и ругается «Cannot find LILO». Какой ещё LILO, тыщу лет уже как EFISTUB. Скорее всего это с ядром 5.4 началось. Конфиг перенёс с ядра 5.3.

Ни у кого больше такой фигни не случалось? Дюже влом конфиг с нуля пересоздавать, может есть покороче рецепты?

★★

Нет, не с 5.4. В /boot рядышком лежат vmlinuz-5.4.28-gentoo и vmlinuz – ровно той же версии. Т.е. в логике сборки что-то поломалось уже сильно после установки вышеназванной версии ядра. Хз каким образом такое возможно.

dimgel ★★ ()
Ответ на: комментарий от eternal_sorrow

Установи sys-apps/debianutils[installkernel].

Во, точно! Так вот зачем он нужен, а я им орехи колол этот юз-флаг отключил к чертям собачьим: мало того мне тут какой-то дебиан подсунуть пытаются, так ещё и в ядро им лезут. В общем, ССЗБ: отвинтил пупок – отвалилась жопа.

Спасибо!

dimgel ★★ ()